#include "testlib.h"
#include <bits/stdc++.h>

using namespace std;

int main(int argc, char* argv[]) {
    registerValidation(argc, argv);
    {
        int n = inf.readInt(3, 200'000, "n");
        inf.readEoln();
        inf.readInts(n, 1, 1'000'000'000, "a");
        inf.readEoln();
    }
    inf.readEof();
}